import java.net.*;
import java.io.*;
JSONArray values;
String result;


void setup() {
  size(displayWidth, displayHeight);
  result   = getUrlContents("http://api.dronestre.am/data");
  textAlign(CENTER, CENTER);

};


void draw() {
 
  fill(255, 0, 0);
  JSONObject values = JSONObject.parse(result);
  JSONArray items = values.getJSONArray("strike");
 
 
  for (int i = 0; i < items.size (); i++) {

    JSONObject drone = items.getJSONObject(i); 

    String country = drone.getString("country");

    String lat = drone.getString("lat");
    String lon = drone.getString("lon");
    if (lat.length() != 0 && lon.length() != 0) {
      float Lat = new Float(lat);

      float Lon = new Float(lon);
      ellipse(Lat, Lon, 5, 5);
      println(lat + ", " + lon + ", " + country);
    }
  }
}

